M6809OP_(00,NEG  ,DIRECT    ,ADDRESS , 6,09A2)
M6809OP_(01,ERR  ,INHERENT  ,INHERENT, 0,0000)
M6809OP_(02,ERR  ,INHERENT  ,INHERENT, 0,0000)
M6809OP_(03,COM  ,DIRECT    ,ADDRESS , 6,0625)
M6809OP_(04,LSR  ,DIRECT    ,ADDRESS , 6,0955)
M6809OP_(05,ERR  ,INHERENT  ,INHERENT, 0,0000)
M6809OP_(06,ROR  ,DIRECT    ,ADDRESS , 6,0ADE)
M6809OP_(07,ASR  ,DIRECT    ,ADDRESS , 6,03BF)
M6809OP_(08,ASL  ,DIRECT    ,ADDRESS , 6,037F)
M6809OP_(09,ROL  ,DIRECT    ,ADDRESS , 6,0A9E)
M6809OP_(0A,DEC  ,DIRECT    ,ADDRESS , 6,0681)
M6809OP_(0B,ERR  ,INHERENT  ,INHERENT, 0,0000)
M6809OP_(0C,INC  ,DIRECT    ,ADDRESS , 6,073B)
M6809OP_(0D,TST  ,DIRECT    ,ADDRESS , 6,0D94)
M6809OP_(0E,BRA  ,DIRECT    ,ADDRESS , 3,075F)
M6809OP_(0F,CLR  ,DIRECT    ,ADDRESS , 6,046B)
M6809OP_(10,10   ,INHERENT  ,INHERENT, 0,0000)
M6809OP_(11,11   ,INHERENT  ,INHERENT, 0,0000)
M6809OP_(12,NOP  ,INHERENT  ,INHERENT, 2,09C6)
M6809OP_(13,SYNC ,INHERENT  ,INHERENT, 4,0D5C)
M6809OP_(14,ERR  ,INHERENT  ,INHERENT, 0,0000)
M6809OP_(15,ERR  ,INHERENT  ,INHERENT, 0,0000)
M6809OP_(16,BRA  ,RELATIVE2 ,ADDRESS , 5,000E)
M6809OP_(17,BSR  ,RELATIVE2 ,ADDRESS , 9,01BE)
M6809OP_(18,ERR  ,INHERENT  ,INHERENT, 0,0000)
M6809OP_(19,DAA  ,INHERENT  ,INHERENT, 2,0658)
M6809OP_(1A,ORCC ,IMMEDIATE1,DATA    , 3,0A37)
M6809OP_(1B,ERR  ,INHERENT  ,INHERENT, 0,0000)
M6809OP_(1C,ANDCC,IMMEDIATE1,DATA    , 3,0353)
M6809OP_(1D,SEX  ,INHERENT  ,INHERENT, 2,0B88)
M6809OP_(1E,EXG  ,IMMEDIATE1,DATA    , 8,0711)
M6809OP_(1F,TFR  ,IMMEDIATE1,DATA    , 6,0D6A)
M6809OP_(20,BRA  ,RELATIVE1 ,ADDRESS , 3,0001)
M6809OP_(21,BRN  ,RELATIVE1 ,ADDRESS , 3,001C)
M6809OP_(22,BHI  ,RELATIVE1 ,ADDRESS , 3,0037)
M6809OP_(23,BLS  ,RELATIVE1 ,ADDRESS , 3,0052)
M6809OP_(24,BHS  ,RELATIVE1 ,ADDRESS , 3,006D)
M6809OP_(25,BLO  ,RELATIVE1 ,ADDRESS , 3,0088)
M6809OP_(26,BNE  ,RELATIVE1 ,ADDRESS , 3,00A3)
M6809OP_(27,BEQ  ,RELATIVE1 ,ADDRESS , 3,00BE)
M6809OP_(28,BVC  ,RELATIVE1 ,ADDRESS , 3,00D9)
M6809OP_(29,BVS  ,RELATIVE1 ,ADDRESS , 3,00F4)
M6809OP_(2A,BPL  ,RELATIVE1 ,ADDRESS , 3,010F)
M6809OP_(2B,BMI  ,RELATIVE1 ,ADDRESS , 3,012A)
M6809OP_(2C,BGE  ,RELATIVE1 ,ADDRESS , 3,0145)
M6809OP_(2D,BLT  ,RELATIVE1 ,ADDRESS , 3,0160)
M6809OP_(2E,BGT  ,RELATIVE1 ,ADDRESS , 3,017B)
M6809OP_(2F,BLE  ,RELATIVE1 ,ADDRESS , 3,0196)
M6809OP_(30,LEAX ,INDEXED   ,ADDRESS , 4,091F)
M6809OP_(31,LEAY ,INDEXED   ,ADDRESS , 4,092C)
M6809OP_(32,LEAS ,INDEXED   ,ADDRESS , 4,0905)
M6809OP_(33,LEAU ,INDEXED   ,ADDRESS , 4,0912)
M6809OP_(34,PSHS ,IMMEDIATE1,DATA    , 5,0A46)
M6809OP_(35,PULS ,IMMEDIATE1,DATA    , 5,0A64)
M6809OP_(36,PSHU ,IMMEDIATE1,DATA    , 5,0A55)
M6809OP_(37,PULU ,IMMEDIATE1,DATA    , 5,0A73)
M6809OP_(38,ERR  ,INHERENT  ,INHERENT, 0,0000)
M6809OP_(39,RTS  ,INHERENT  ,INHERENT, 5,0B0F)
M6809OP_(3A,ABX  ,INHERENT  ,INHERENT, 3,01CC)
M6809OP_(3B,RTI  ,INHERENT  ,INHERENT, 6,0B02)
M6809OP_(3C,CWAI ,IMMEDIATE1,DATA    ,20,0649)
M6809OP_(3D,MUL  ,INHERENT  ,INHERENT,11,0979)
M6809OP_(3E,ERR  ,INHERENT  ,INHERENT, 0,0000)
M6809OP_(3F,SWI  ,INHERENT  ,INHERENT,19,0D33)
M6809OP_(40,NEGA ,INHERENT  ,INHERENT, 2,0986)
M6809OP_(41,ERR  ,INHERENT  ,INHERENT, 0,0000)
M6809OP_(42,ERR  ,INHERENT  ,INHERENT, 0,0000)
M6809OP_(43,COMA ,INHERENT  ,INHERENT, 2,0609)
M6809OP_(44,LSRA ,INHERENT  ,INHERENT, 2,0939)
M6809OP_(45,ERR  ,INHERENT  ,INHERENT, 0,0000)
M6809OP_(46,RORA ,INHERENT  ,INHERENT, 2,0AC2)
M6809OP_(47,ASRA ,INHERENT  ,INHERENT, 2,03A3)
M6809OP_(48,ASLA ,INHERENT  ,INHERENT, 2,0363)
M6809OP_(49,ROLA ,INHERENT  ,INHERENT, 2,0A82)
M6809OP_(4A,DECA ,INHERENT  ,INHERENT, 2,0665)
M6809OP_(4B,ERR  ,INHERENT  ,INHERENT, 0,0000)
M6809OP_(4C,INCA ,INHERENT  ,INHERENT, 2,071F)
M6809OP_(4D,TSTA ,INHERENT  ,INHERENT, 2,0D78)
M6809OP_(4E,ERR  ,INHERENT  ,INHERENT, 0,0000)
M6809OP_(4F,CLRA ,INHERENT  ,INHERENT, 2,044F)
M6809OP_(50,NEGB ,INHERENT  ,INHERENT, 2,0994)
M6809OP_(51,ERR  ,INHERENT  ,INHERENT, 0,0000)
M6809OP_(52,ERR  ,INHERENT  ,INHERENT, 0,0000)
M6809OP_(53,COMB ,INHERENT  ,INHERENT, 2,0617)
M6809OP_(54,LSRB ,INHERENT  ,INHERENT, 2,0947)
M6809OP_(55,ERR  ,INHERENT  ,INHERENT, 0,0000)
M6809OP_(56,RORB ,INHERENT  ,INHERENT, 2,0AD0)
M6809OP_(57,ASRB ,INHERENT  ,INHERENT, 2,03B1)
M6809OP_(58,ASLB ,INHERENT  ,INHERENT, 2,0371)
M6809OP_(59,ROLB ,INHERENT  ,INHERENT, 2,0A90)
M6809OP_(5A,DECB ,INHERENT  ,INHERENT, 2,0673)
M6809OP_(5B,ERR  ,INHERENT  ,INHERENT, 0,0000)
M6809OP_(5C,INCB ,INHERENT  ,INHERENT, 2,072D)
M6809OP_(5D,TSTB ,INHERENT  ,INHERENT, 2,0D86)
M6809OP_(5E,ERR  ,INHERENT  ,INHERENT, 0,0000)
M6809OP_(5F,CLRB ,INHERENT  ,INHERENT, 2,045D)
M6809OP_(60,NEG  ,INDEXED   ,ADDRESS , 6,09AD)
M6809OP_(61,ERR  ,INHERENT  ,INHERENT, 0,0000)
M6809OP_(62,ERR  ,INHERENT  ,INHERENT, 0,0000)
M6809OP_(63,COM  ,INDEXED   ,ADDRESS , 6,0630)
M6809OP_(64,LSR  ,INDEXED   ,ADDRESS , 6,0960)
M6809OP_(65,ERR  ,INHERENT  ,INHERENT, 0,0000)
M6809OP_(66,ROR  ,INDEXED   ,ADDRESS , 6,0AE9)
M6809OP_(67,ASR  ,INDEXED   ,ADDRESS , 6,03CA)
M6809OP_(68,ASL  ,INDEXED   ,ADDRESS , 6,038A)
M6809OP_(69,ROL  ,INDEXED   ,ADDRESS , 6,0AA9)
M6809OP_(6A,DEC  ,INDEXED   ,ADDRESS , 6,068C)
M6809OP_(6B,ERR  ,INHERENT  ,INHERENT, 0,0000)
M6809OP_(6C,INC  ,INDEXED   ,ADDRESS , 6,0746)
M6809OP_(6D,TST  ,INDEXED   ,ADDRESS , 6,0D9F)
M6809OP_(6E,BRA  ,INDEXED   ,ADDRESS , 3,076A)
M6809OP_(6F,CLR  ,INDEXED   ,ADDRESS , 6,0476)
M6809OP_(70,NEG  ,EXTENDED  ,ADDRESS , 7,09B9)
M6809OP_(71,ERR  ,INHERENT  ,INHERENT, 0,0000)
M6809OP_(72,ERR  ,INHERENT  ,INHERENT, 0,0000)
M6809OP_(73,COM  ,EXTENDED  ,ADDRESS , 7,063C)
M6809OP_(74,LSR  ,EXTENDED  ,ADDRESS , 7,096C)
M6809OP_(75,ERR  ,INHERENT  ,INHERENT, 0,0000)
M6809OP_(76,ROR  ,EXTENDED  ,ADDRESS , 7,0AF5)
M6809OP_(77,ASR  ,EXTENDED  ,ADDRESS , 7,03D6)
M6809OP_(78,ASL  ,EXTENDED  ,ADDRESS , 7,0396)
M6809OP_(79,ROL  ,EXTENDED  ,ADDRESS , 7,0AB5)
M6809OP_(7A,DEC  ,EXTENDED  ,ADDRESS , 7,0698)
M6809OP_(7B,ERR  ,INHERENT  ,INHERENT, 0,0000)
M6809OP_(7C,INC  ,EXTENDED  ,ADDRESS , 7,0752)
M6809OP_(7D,TST  ,EXTENDED  ,ADDRESS , 7,0DAB)
M6809OP_(7E,BRA  ,EXTENDED  ,ADDRESS , 4,0776)
M6809OP_(7F,CLR  ,EXTENDED  ,ADDRESS , 7,0482)
M6809OP_(80,SUBA ,IMMEDIATE1,DATA    , 2,0C91)
M6809OP_(81,CMPA ,IMMEDIATE1,DATA    , 2,048F)
M6809OP_(82,SBCA ,IMMEDIATE1,DATA    , 2,0B1C)
M6809OP_(83,SUBD ,IMMEDIATE2,DATA    , 4,0CFD)
M6809OP_(84,ANDA ,IMMEDIATE1,DATA    , 2,02E7)
M6809OP_(85,BITA ,IMMEDIATE1,DATA    , 2,03E3)
M6809OP_(86,LDA  ,IMMEDIATE1,DATA    , 2,07A7)
M6809OP_(87,ERR  ,INHERENT  ,INHERENT, 0,0000)
M6809OP_(88,EORA ,IMMEDIATE1,DATA    , 2,06A5)
M6809OP_(89,ADCA ,IMMEDIATE1,DATA    , 2,01D9)
M6809OP_(8A,ORA  ,IMMEDIATE1,DATA    , 2,09D3)
M6809OP_(8B,ADDA ,IMMEDIATE1,DATA    , 2,0245)
M6809OP_(8C,CMPX ,IMMEDIATE2,DATA    , 4,059D)
M6809OP_(8D,BSR  ,RELATIVE1 ,ADDRESS , 7,01B1)
M6809OP_(8E,LDX  ,IMMEDIATE2,DATA    , 3,08A1)
M6809OP_(8F,ERR  ,INHERENT  ,INHERENT, 0,0000)
M6809OP_(90,SUBA ,DIRECT    ,ADDRESS , 4,0CA0)
M6809OP_(91,CMPA ,DIRECT    ,ADDRESS , 4,049E)
M6809OP_(92,SBCA ,DIRECT    ,ADDRESS , 4,0B2B)
M6809OP_(93,SUBD ,DIRECT    ,ADDRESS , 6,0D0C)
M6809OP_(94,ANDA ,DIRECT    ,ADDRESS , 4,02F6)
M6809OP_(95,BITA ,DIRECT    ,ADDRESS , 4,03F2)
M6809OP_(96,LDA  ,DIRECT    ,ADDRESS , 4,07B5)
M6809OP_(97,STA  ,DIRECT    ,ADDRESS , 4,0B95)
M6809OP_(98,EORA ,DIRECT    ,ADDRESS , 4,06B4)
M6809OP_(99,ADCA ,DIRECT    ,ADDRESS , 4,01E8)
M6809OP_(9A,ORA  ,DIRECT    ,ADDRESS , 4,09E1)
M6809OP_(9B,ADDA ,DIRECT    ,ADDRESS , 4,0254)
M6809OP_(9C,CMPX ,DIRECT    ,ADDRESS , 6,05AC)
M6809OP_(9D,BSR  ,DIRECT    ,ADDRESS , 7,0783)
M6809OP_(9E,LDX  ,DIRECT    ,ADDRESS , 5,08AF)
M6809OP_(9F,STX  ,DIRECT    ,ADDRESS , 5,0C49)
M6809OP_(A0,SUBA ,INDEXED   ,ADDRESS , 4,0CAC)
M6809OP_(A1,CMPA ,INDEXED   ,ADDRESS , 4,04AA)
M6809OP_(A2,SBCA ,INDEXED   ,ADDRESS , 4,0B37)
M6809OP_(A3,SUBD ,INDEXED   ,ADDRESS , 6,0D18)
M6809OP_(A4,ANDA ,INDEXED   ,ADDRESS , 4,0302)
M6809OP_(A5,BITA ,INDEXED   ,ADDRESS , 4,03FE)
M6809OP_(A6,LDA  ,INDEXED   ,ADDRESS , 4,07C0)
M6809OP_(A7,STA  ,INDEXED   ,ADDRESS , 4,0BA0)
M6809OP_(A8,EORA ,INDEXED   ,ADDRESS , 4,06C0)
M6809OP_(A9,ADCA ,INDEXED   ,ADDRESS , 4,01F4)
M6809OP_(AA,ORA  ,INDEXED   ,ADDRESS , 4,09EC)
M6809OP_(AB,ADDA ,INDEXED   ,ADDRESS , 4,0260)
M6809OP_(AC,CMPX ,INDEXED   ,ADDRESS , 6,05B8)
M6809OP_(AD,BSR  ,INDEXED   ,ADDRESS , 7,078E)
M6809OP_(AE,LDX  ,INDEXED   ,ADDRESS , 5,08BA)
M6809OP_(AF,STX  ,INDEXED   ,ADDRESS , 5,0C54)
M6809OP_(B0,SUBA ,EXTENDED  ,ADDRESS , 5,0CB9)
M6809OP_(B1,CMPA ,EXTENDED  ,ADDRESS , 5,04B7)
M6809OP_(B2,SBCA ,EXTENDED  ,ADDRESS , 5,0B44)
M6809OP_(B3,SUBD ,EXTENDED  ,ADDRESS , 7,0D25)
M6809OP_(B4,ANDA ,EXTENDED  ,ADDRESS , 5,030F)
M6809OP_(B5,BITA ,EXTENDED  ,ADDRESS , 5,040B)
M6809OP_(B6,LDA  ,EXTENDED  ,ADDRESS , 5,07CC)
M6809OP_(B7,STA  ,EXTENDED  ,ADDRESS , 5,0BAC)
M6809OP_(B8,EORA ,EXTENDED  ,ADDRESS , 5,06CD)
M6809OP_(B9,ADCA ,EXTENDED  ,ADDRESS , 5,0201)
M6809OP_(BA,ORA  ,EXTENDED  ,ADDRESS , 5,09F8)
M6809OP_(BB,ADDA ,EXTENDED  ,ADDRESS , 5,026D)
M6809OP_(BC,CMPX ,EXTENDED  ,ADDRESS , 7,05C5)
M6809OP_(BD,BSR  ,EXTENDED  ,ADDRESS , 8,079A)
M6809OP_(BE,LDX  ,EXTENDED  ,ADDRESS , 6,08C6)
M6809OP_(BF,STX  ,EXTENDED  ,ADDRESS , 6,0C60)
M6809OP_(C0,SUBB ,IMMEDIATE1,DATA    , 2,0CC7)
M6809OP_(C1,CMPB ,IMMEDIATE1,DATA    , 2,04C5)
M6809OP_(C2,SBCB ,IMMEDIATE1,DATA    , 2,0B52)
M6809OP_(C3,ADDD ,IMMEDIATE2,DATA    , 4,02B1)
M6809OP_(C4,ANDB ,IMMEDIATE1,DATA    , 2,031D)
M6809OP_(C5,BITB ,IMMEDIATE1,DATA    , 2,0419)
M6809OP_(C6,LDB  ,IMMEDIATE1,DATA    , 2,07D9)
M6809OP_(C7,ERR  ,INHERENT  ,INHERENT, 0,0000)
M6809OP_(C8,EORB ,IMMEDIATE1,DATA    , 2,06DB)
M6809OP_(C9,ADCB ,IMMEDIATE1,DATA    , 2,020F)
M6809OP_(CA,ORB  ,IMMEDIATE1,DATA    , 2,0A05)
M6809OP_(CB,ADDB ,IMMEDIATE1,DATA    , 2,027B)
M6809OP_(CC,LDD  ,IMMEDIATE2,DATA    , 3,080B)
M6809OP_(CD,ERR  ,INHERENT  ,INHERENT, 0,0000)
M6809OP_(CE,LDU  ,IMMEDIATE2,DATA    , 3,086F)
M6809OP_(CF,ERR  ,INHERENT  ,INHERENT, 0,0000)
M6809OP_(D0,SUBB ,DIRECT    ,ADDRESS , 4,0CD6)
M6809OP_(D1,CMPB ,DIRECT    ,ADDRESS , 4,04D4)
M6809OP_(D2,SBCB ,DIRECT    ,ADDRESS , 4,0B61)
M6809OP_(D3,ADDD ,DIRECT    ,ADDRESS , 6,02C0)
M6809OP_(D4,ANDB ,DIRECT    ,ADDRESS , 4,032C)
M6809OP_(D5,BITB ,DIRECT    ,ADDRESS , 4,0428)
M6809OP_(D6,LDB  ,DIRECT    ,ADDRESS , 4,07E7)
M6809OP_(D7,STB  ,DIRECT    ,ADDRESS , 4,0BB9)
M6809OP_(D8,EORB ,DIRECT    ,ADDRESS , 4,06EA)
M6809OP_(D9,ADCB ,DIRECT    ,ADDRESS , 4,021E)
M6809OP_(DA,ORB  ,DIRECT    ,ADDRESS , 4,0A13)
M6809OP_(DB,ADDB ,DIRECT    ,ADDRESS , 4,028A)
M6809OP_(DC,LDD  ,DIRECT    ,ADDRESS , 5,0819)
M6809OP_(DD,STD  ,DIRECT    ,ADDRESS , 5,0BDD)
M6809OP_(DE,LDU  ,DIRECT    ,ADDRESS , 5,087D)
M6809OP_(DF,STU  ,DIRECT    ,ADDRESS , 5,0C25)
M6809OP_(E0,SUBB ,INDEXED   ,ADDRESS , 4,0CE2)
M6809OP_(E1,CMPB ,INDEXED   ,ADDRESS , 4,04E0)
M6809OP_(E2,SBCB ,INDEXED   ,ADDRESS , 4,0B6D)
M6809OP_(E3,ADDD ,INDEXED   ,ADDRESS , 6,02CC)
M6809OP_(E4,ANDB ,INDEXED   ,ADDRESS , 4,0338)
M6809OP_(E5,BITB ,INDEXED   ,ADDRESS , 4,0434)
M6809OP_(E6,LDB  ,INDEXED   ,ADDRESS , 4,07F2)
M6809OP_(E7,STB  ,INDEXED   ,ADDRESS , 4,0BC4)
M6809OP_(E8,EORB ,INDEXED   ,ADDRESS , 4,06F6)
M6809OP_(E9,ADCB ,INDEXED   ,ADDRESS , 4,022A)
M6809OP_(EA,ORB  ,INDEXED   ,ADDRESS , 4,0A1E)
M6809OP_(EB,ADDB ,INDEXED   ,ADDRESS , 4,0296)
M6809OP_(EC,LDD  ,INDEXED   ,ADDRESS , 5,0824)
M6809OP_(ED,STD  ,INDEXED   ,ADDRESS , 5,0BE8)
M6809OP_(EE,LDU  ,INDEXED   ,ADDRESS , 5,0888)
M6809OP_(EF,STU  ,INDEXED   ,ADDRESS , 5,0C30)
M6809OP_(F0,SUBB ,EXTENDED  ,ADDRESS , 5,0CEF)
M6809OP_(F1,CMPB ,EXTENDED  ,ADDRESS , 5,04ED)
M6809OP_(F2,SBCB ,EXTENDED  ,ADDRESS , 5,0B7A)
M6809OP_(F3,ADDD ,EXTENDED  ,ADDRESS , 7,02D9)
M6809OP_(F4,ANDB ,EXTENDED  ,ADDRESS , 5,0345)
M6809OP_(F5,BITB ,EXTENDED  ,ADDRESS , 5,0441)
M6809OP_(F6,LDB  ,EXTENDED  ,ADDRESS , 5,07FE)
M6809OP_(F7,STB  ,EXTENDED  ,ADDRESS , 5,0BD0)
M6809OP_(F8,EORB ,EXTENDED  ,ADDRESS , 5,0703)
M6809OP_(F9,ADCB ,EXTENDED  ,ADDRESS , 5,0237)
M6809OP_(FA,ORB  ,EXTENDED  ,ADDRESS , 5,0A2A)
M6809OP_(FB,ADDB ,EXTENDED  ,ADDRESS , 5,02A3)
M6809OP_(FC,LDD  ,EXTENDED  ,ADDRESS , 6,0830)
M6809OP_(FD,STD  ,EXTENDED  ,ADDRESS , 6,0BF4)
M6809OP_(FE,LDU  ,EXTENDED  ,ADDRESS , 6,0894)
M6809OP_(FF,STU  ,EXTENDED  ,ADDRESS , 6,0C3C)
